运维开发网

升级到Deepin 20社区版后有线网卡没作用的解决方案

运维开发网 https://www.qedev.com 2021-02-19 11:04 出处:深度站 作者:echollzq
把操作系统由Deepin 15.11升级到Deepin 20社区版后有线网卡就不能用了,即把网线插入进去根本没起使用,无法正常的上网,但是无线网卡却可以正常的使用。以前使用的Deepin 15.11版本不管

把操作系统由Deepin 15.11升级到Deepin 20社区版后有线网卡就不能用了,即把网线插入进去根本没起使用,无法正常的上网,但是无线网卡却可以正常的使用。以前使用的Deepin 15.11版本不管是有线和无线都能畅通无阻。

 

相关截图

1、有线网卡在Deepin 20社区版中的信息界面:

升级到Deepin 20社区版后有线网卡没作用的解决方案

2、网络显示界面:

升级到Deepin 20社区版后有线网卡没作用的解决方案

 

尝试的解决方案(该方案不能解决问题)

有线网卡故障RTL8111/8168/8411修复:

装上Deepin系统后发现有线网卡驱动时好时坏,根据我以往的折腾经验,判断是网卡驱动导致的。我的网卡是RTL8111/8168/8411,官方会自动安装r8169驱动,导致驱动不兼容。

解决方案:

查看网卡驱动是否和我一样:

$ lspci | grep -i ethernet

04:00.1 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 12)

卸载8169驱动:

$ sudo rmmod r8169

安装官方8168驱动:

unzip r8168-8.047.05.zip

cd r8168-8.047.05/

sudo ./autorun.sh

官网地址:https://www.realtek.com/en/component/zoo/category/network-interface-controllers-10-100-1000m-gigabit-ethernet-pci-express-software

驱动安装也可参考:在linux系统中编译8822CE网卡驱动的方法。

在按以上解决方案处理时,遇到安装失败问题,如下图:

升级到Deepin 20社区版后有线网卡没作用的解决方案

 

解决方案

在启动系统的时候选择deepin 20 GNU/Linux ,with  Linux 4.15.0-29deepin-generic,启动后,有线网卡生效。

之前走默认的,因为使用的是with Linux 5.4.50-amd-desktop,导致有线网卡驱动不生效。

 

扫码领视频副本.gif

0

精彩评论

暂无评论...
验证码 换一张
取 消

关注公众号